.top {
	background: #f8f9fa;
}

.avatar-xxxl {
	width: 250px;
	height: 250px;
}

.profile-card p {
	font-size: 14px;
}

.btn-toggle-nav {
	padding-left: 1rem;
  padding-right: 1rem;
  margin: 0 0.5rem;
}
.btn-toggle-nav li {
  margin: 0 0.5rem;
}
.btn-toggle-nav li a {
	display: block;
	padding: .5rem 0 .5rem 2.5rem;
}

.table th {
	background: #f5f9fc;
	color: #525f7f !important;
	border-top: 1px solid #e9ecef;
	font-size: 12px !important;
	font-weight: 600 !important;
}
/*.table tbody tr td:first-child {
	padding-left: 1.5rem;
}*/
.table td.action a {
	color: #67748e;
	padding: 0 5px;
	font-size: 12px;
}
.cst-table {
	height: 60vh;
	overflow-y: auto;
}

.sidenav .text-warning {
	color: #fb9f40 !important;
}

.custom-tab .nav-pills {
	background: transparent;
	border-bottom: 1px solid #e7eaf0;
}
.custom-tab .nav-pills .active {
	background: transparent;
	box-shadow: none;
	border-bottom: 1px solid #5e72e4;
	border-radius: 0;
}

/* scrollbar */
.table-responsive::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}
.table-responsive::-webkit-scrollbar {
  width: 5px;
  height: 5px;
  background-color: #F5F5F5;
}
.table-responsive::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #6c757d;
}

.pagination .page-item.active a {
	color: #fff !important;
}

.search-select .dropdown-menu {
	width: 100%;
}
.search-select .dropdown-menu::before {
	display: none;
}
.search-select button{
  text-align: left;
}

.input-group.date .input-group-append {
	margin-left: -20px !important;
	z-index: 900;
}

/*MODIFICATION --------------------------------------------------------------------------*/

/*Circle Button: Ideally for close button*/
.custom-circle-btn {
	position: absolute;
	top: 10px;
	right: 10px;
	width: 24px;
	height: 24px;
	color: white;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	font-size: 18px;
}

.custom-btn {
	cursor: pointer;
}


/*Overwrite DataTable Default Style: Start ------------------------------------------------ */
.dataTables_wrapper .dataTables_filter {
    float: right;
    text-align: right;
}

.dataTables_wrapper .dataTables_filter label {
    font-family: 'Open Sans', sans-serif;
}

.dataTables_wrapper .dataTables_filter label input{
	border: 1px solid rgb(210, 214, 218);
	border-radius: 10px;
	background-color: transparent;
	padding: 5px;
	margin-left: 3px;
	height: 35px;
	width: 200px;
}

.dataTables_wrapper .dataTables_filter label input:focus{
	outline: none !important;
	border: 1px solid rgb(94, 114, 228) !important;
}

.dataTables_wrapper .dataTables_paginate {
	margin-top: 5px;
    float: right;
    text-align: right;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
	background-image: linear-gradient(310deg, #5e72e4 0%, #825ee4 100%);
    display: flex;
	align-items: center;
	justify-content: center;
	color: #8392ab !important;
	padding: 0;
	margin: 0 3px;
	border: 1px solid #ddd !important;
	border-radius: 50% !important;
	width: 36px;
	height: 36px;
	font-size: 0.875rem;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
	background-image: linear-gradient(310deg, #eee 0%, #eee 100%) !important;
  	border: none !important;
}

/* Active button styling */
.dataTables_wrapper .dataTables_paginate .paginate_button.current {
	background-image: linear-gradient(310deg, #5e72e4 0%, #825ee4 100%) !important;
	border: none !important;
	color: #fff !important;
	box-shadow: 0 7px 14px rgba(50, 50, 93, 0.1), 0 3px 6px rgba(0, 0, 0, 0.08) !important;
}
/*Overwrite DataTable Default Style: End ------------------------------------------------ */

/*Form Table*/
.form-table thead tr th {
	border: 1px solid #d8dce0;
	padding: 3px 10px;
	background: #5B9BD5;
	color: #fff !important;
	font-size: 14px !important;
	font-weight: 600 !important;
}

.form-table tbody tr td {
	/*border: 1px solid #e9ecef;*/
	border: 1px solid #c4c7c9;
	padding: 3px 10px;
	color: #333 !important;
	font-size: 14px !important;
	line-height: 1.2em;
}

.form-table tbody tr:last-child td {
	/*border: 1px solid #e9ecef;*/
	border: 1px solid #c4c7c9;
}

.form-field-title {
	font-size: 10px !important;
	color: #67748e !important;
}

.form-field-title-bold {
	font-size: 10px !important;
	color: #000 !important;
}

.form-text-input {
	border: none;
	border-bottom: 1px solid transparent;
	outline: none;
	background-color: transparent;
	color: black;
	padding: 0;
}

.form-text-input::placeholder {
	color: gray;
}

.form-text-input:focus {
	border-bottom: 1px solid black; /* Show the bottom border when focused */
}

.form-text-input-blank {
	border: none;
	border-bottom: 1px solid black;
	outline: none;
	background-color: transparent;
	color: black;
	padding: 0;
}

.form-text-input-blank::placeholder {
	color: gray;
}

.form-option {
	accent-color: black;
}

/*FLOATING BUTTONS*/
.floating-buttons {
	position: fixed;
	bottom: 20px;
	right: 20px;
	display: flex;
	gap: 10px;
	z-index: 1000; /* Ensures it stays above other content */
}
  
.floating-buttons .btn {
	border-radius: 50%;
	width: 50px;
	height: 50px;
	display: flex;
	align-items: center;
	justify-content: center;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
  
.floating-buttons .btn i {
	font-size: 1.5rem;
}